VisualEditor: Can't copy/paste a reference or template unless you select text either side
Closed, ResolvedPublic

Description

Create a document:

Foo <ref>Bar</ref> Baz
<references />

>

Foo [1] Baz

  1. Bar

Test

  1. Select and copy from '[' to ']' (no whitespace)
  2. Try to paste
  3. Note you now just have plain text [1]
  4. Note also if you make a larger selection (e.g. from 'o' to 'B'), copy/paste works fine.

This might be to do with whitespace truncation, and probably applies to other inline nodes.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52271
https://bugzilla.wikimedia.org/show_bug.cgi?id=54410

bzimport set Reference to bz49396.
Esanders created this task.Via LegacyJun 10 2013, 6:26 PM
Jdforrester-WMF added a comment.Via ConduitJul 2 2013, 7:43 PM
  • Bug 50594 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJul 7 2013, 4:13 AM

bi.llybob wrote:

Note that, at least in Chrome, whitespace is <i>not</t> enough to count as additional text.

jayvdb added a comment.Via ConduitJul 29 2013, 9:41 PM
  • Bug 52212 has been marked as a duplicate of this bug. ***
Thryduulf added a comment.Via ConduitAug 16 2013, 11:26 PM

Note this behaviour also occurs with templates

gerritbot added a comment.Via ConduitAug 26 2013, 7:49 PM

Change 80301 had a related patch set uploaded by Jforrester:
Copy-paste data fixes

https://gerrit.wikimedia.org/r/80301

gerritbot added a comment.Via ConduitAug 27 2013, 8:21 PM

Change 80301 merged by jenkins-bot:
Copy-paste data fixes

https://gerrit.wikimedia.org/r/80301

Jdforrester-WMF added a comment.Via ConduitAug 27 2013, 8:22 PM

Fixed in master; will be deployed on Thursday as part of the regular push.

Esanders added a comment.Via ConduitAug 27 2013, 10:37 PM

This is still broken in FF, see bug 53375

gerritbot added a comment.Via ConduitSep 7 2013, 10:02 AM

Change 83222 had a related patch set uploaded by Esanders:
The Great [...] Rewrite of 2013: Clipboard edition

https://gerrit.wikimedia.org/r/83222

gerritbot added a comment.Via ConduitSep 11 2013, 6:15 PM

Change 83222 merged by jenkins-bot:
The Great [...] Rewrite of 2013: Clipboard edition

https://gerrit.wikimedia.org/r/83222

Elitre added a comment.Via ConduitNov 3 2014, 1:13 PM

I think this is still occurring (https://it.wikipedia.org/w/index.php?title=Utente%3AElitre_%28WMF%29%2FSandbox&diff=68973564&oldid=68973535 ).
I'm using Safari, and I don't know if this is related to Bug 70143.

Jdforrester-WMF added a comment.Via ConduitNov 3 2014, 4:08 PM

No, this was and remains fixed. Test in Chrome or Firefox, for example.

Jdforrester-WMF set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.